# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.draw2d.ButtonModel
Modifier and Type
Constant Field
Value
`protected static final int`
`ARMED_FLAG`
`1`
`public static final String`
`ARMED_PROPERTY`
`"armed"`
`public static final int`
`DEFAULT_FIRING_BEHAVIOR`
`0`
`protected static final int`
`ENABLED_FLAG`
`16`
`public static final String`
`ENABLED_PROPERTY`
`"enabled"`
`protected static final int`
`MAX_FLAG`
`32`
`protected static final int`
`MOUSEOVER_FLAG`
`4`
`public static final String`
`MOUSEOVER_PROPERTY`
`"mouseover"`
`protected static final int`
`PRESSED_FLAG`
`2`
`public static final String`
`PRESSED_PROPERTY`
`"pressed"`
`public static final int`
`REPEAT_FIRING_BEHAVIOR`
`1`
`protected static final int`
`ROLLOVER_ENABLED_FLAG`
`32`
`public static final String`
`ROLLOVER_ENABLED_PROPERTY`
`"rollover enabled"`
`protected static final int`
`SELECTED_FLAG`
`8`
`public static final String`
`SELECTED_PROPERTY`
`"selected"`
org.eclipse.draw2d.Clickable
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_FIRING`
`0`
`public static final int`
`REPEAT_FIRING`
`1`
org.eclipse.draw2d.Connection
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_CONNECTION_ROUTER`
`"connectionRouter"`
`public static final String`
`PROPERTY_POINTS`
`"points"`
org.eclipse.draw2d.ConnectionLocator
Modifier and Type
Constant Field
Value
`public static final int`
`END`
`3`
`public static final int`
`MIDDLE`
`4`
`public static final int`
`MIDPOINT`
`4`
`public static final int`
`SOURCE`
`2`
`public static final int`
`START`
`2`
`public static final int`
`TARGET`
`3`
org.eclipse.draw2d.FlowLayout
Modifier and Type
Constant Field
Value
`public static final int`
`ALIGN_LEFTTOP`
`1`
`public static final int`
`ALIGN_RIGHTBOTTOM`
`2`
org.eclipse.draw2d.Graphics
Modifier and Type
Constant Field
Value
`public static final int`
`LINE_CUSTOM`
`6`
`public static final int`
`LINE_DASH`
`2`
`public static final int`
`LINE_DASHDOT`
`4`
`public static final int`
`LINE_DASHDOTDOT`
`5`
`public static final int`
`LINE_DOT`
`3`
`public static final int`
`LINE_SOLID`
`1`
org.eclipse.draw2d.GridData
Modifier and Type
Constant Field
Value
`public static final int`
`BEGINNING`
`1`
`public static final int`
`CENTER`
`2`
`public static final int`
`END`
`3`
`public static final int`
`FILL`
`4`
`public static final int`
`FILL_BOTH`
`1808`
`public static final int`
`FILL_HORIZONTAL`
`768`
`public static final int`
`FILL_VERTICAL`
`1040`
`public static final int`
`GRAB_HORIZONTAL`
`512`
`public static final int`
`GRAB_VERTICAL`
`1024`
`public static final int`
`HORIZONTAL_ALIGN_BEGINNING`
`32`
`public static final int`
`HORIZONTAL_ALIGN_CENTER`
`64`
`public static final int`
`HORIZONTAL_ALIGN_END`
`128`
`public static final int`
`HORIZONTAL_ALIGN_FILL`
`256`
`public static final int`
`VERTICAL_ALIGN_BEGINNING`
`2`
`public static final int`
`VERTICAL_ALIGN_CENTER`
`4`
`public static final int`
`VERTICAL_ALIGN_END`
`8`
`public static final int`
`VERTICAL_ALIGN_FILL`
`16`
org.eclipse.draw2d.InputEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ALT`
`65536`
`public static final int`
`BUTTON1`
`524288`
`public static final int`
`BUTTON2`
`1048576`
`public static final int`
`BUTTON3`
`2097152`
`public static final int`
`BUTTON4`
`8388608`
`public static final int`
`BUTTON5`
`33554432`
`public static final int`
`CONTROL`
`262144`
`public static final int`
`SHIFT`
`131072`
org.eclipse.draw2d.OrderedLayout
Modifier and Type
Constant Field
Value
`public static final int`
`ALIGN_BOTTOMRIGHT`
`2`
`public static final int`
`ALIGN_CENTER`
`0`
`public static final int`
`ALIGN_TOPLEFT`
`1`
`public static final boolean`
`HORIZONTAL`
`true`
`public static final boolean`
`VERTICAL`
`false`
org.eclipse.draw2d.Orientable
Modifier and Type
Constant Field
Value
`public static final int`
`HORIZONTAL`
`0`
`public static final int`
`VERTICAL`
`1`
org.eclipse.draw2d.PositionConstants
Modifier and Type
Constant Field
Value
`public static final int`
`ALWAYS_LEFT`
`64`
`public static final int`
`ALWAYS_RIGHT`
`128`
`public static final int`
`BOTTOM`
`32`
`public static final int`
`CENTER`
`2`
`public static final int`
`EAST`
`16`
`public static final int`
`EAST_WEST`
`24`
`public static final int`
`HORIZONTAL`
`64`
`public static final int`
`LEFT`
`1`
`public static final int`
`LEFT_CENTER_RIGHT`
`7`
`public static final int`
`MIDDLE`
`16`
`public static final int`
`NONE`
`0`
`public static final int`
`NORTH`
`1`
`public static final int`
`NORTH_EAST`
`17`
`public static final int`
`NORTH_SOUTH`
`5`
`public static final int`
`NORTH_WEST`
`9`
`public static final int`
`NSEW`
`29`
`public static final int`
`RIGHT`
`4`
`public static final int`
`SOUTH`
`4`
`public static final int`
`SOUTH_EAST`
`20`
`public static final int`
`SOUTH_WEST`
`12`
`public static final int`
`TOP`
`8`
`public static final int`
`TOP_MIDDLE_BOTTOM`
`56`
`public static final int`
`VERTICAL`
`128`
`public static final int`
`WEST`
`8`
org.eclipse.draw2d.PrintFigureOperation
Modifier and Type
Constant Field
Value
`public static final int`
`FIT_HEIGHT`
`4`
`public static final int`
`FIT_PAGE`
`2`
`public static final int`
`FIT_WIDTH`
`3`
`public static final int`
`TILE`
`1`
org.eclipse.draw2d.RangeModel
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_EXTENT`
`"extent"`
`public static final String`
`PROPERTY_MAXIMUM`
`"maximum"`
`public static final String`
`PROPERTY_MINIMUM`
`"minimum"`
`public static final String`
`PROPERTY_VALUE`
`"value"`
org.eclipse.draw2d.ScrollBarLayout
Modifier and Type
Constant Field
Value
`public static final String`
`DOWN_ARROW`
`"down arrow"`
`public static final String`
`PAGE_DOWN`
`"page_down"`
`public static final String`
`PAGE_UP`
`"page_up"`
`public static final String`
`THUMB`
`"thumb"`
`public static final String`
`UP_ARROW`
`"up arrow"`
org.eclipse.draw2d.ScrollPane
Modifier and Type
Constant Field
Value
`public static final int`
`ALWAYS`
`2`
`public static final int`
`AUTOMATIC`
`1`
`public static final int`
`NEVER`
`0`
org.eclipse.draw2d.ScrollPaneLayout
Modifier and Type
Constant Field
Value
`protected static final int`
`ALWAYS`
`2`
`protected static final int`
`AUTO`
`1`
`protected static final int`
`NEVER`
`0`
org.eclipse.draw2d.ScrollPaneSolver
Modifier and Type
Constant Field
Value
`public static final int`
`ALWAYS`
`2`
`public static final int`
`AUTOMATIC`
`1`
`public static final int`
`NEVER`
`0`
org.eclipse.draw2d.ToolbarLayout
Modifier and Type
Constant Field
Value
`public static final boolean`
`HORIZONTAL`
`true`
`public static final boolean`
`VERTICAL`
`false`
org.eclipse.draw2d.Viewport
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_VIEW_LOCATION`
`"viewLocation"`

org.eclipse.draw2d.text.ParagraphTextLayout
Modifier and Type
Constant Field
Value
`public static final int`
`WORD_WRAP_HARD`
`0`
`public static final int`
`WORD_WRAP_SOFT`
`1`
`public static final int`
`WORD_WRAP_TRUNCATE`
`2`